const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_8 = z.x;
    st7_global_2d_to_2d_local = fabs(z.z) # st7;
    fabs(z.y);
    fabs(z.x);
    v1_18 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+18;
    v3_1a = v1_18 / 256 & 65;
    z.x = z.x & -0x10000 | v1_18 & -0xff01 | 256 * v3_1a;
    if v3_1a != 0:;
        pass;
    v1_23 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+23;
    z.x = z.x & -0x10000 | v1_23 & -0xff01 | v1_23 & 0x4100;
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    *z.y = st7_global_2d_to_2d_local;
    *v0_8 = st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local;
    z.x = v0_8;
    return v0_8;


	}